Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1158999 (lxqt-session) - lxqt-session - Main session for LXQt desktop suite
Summary: lxqt-session - Main session for LXQt desktop suite
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-session
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157402 lxqt-common
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 16:30 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 13:10:32 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-10-30 16:30:57 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-session.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-session-0.8.0-2.fc21.src.rpm
Description: Main session for LXQt desktop suite
Fedora Account System Username:

Comment 1 Rex Dieter 2014-11-07 17:37:48 UTC
naming: ok

sources: ok
d1bdb44afd29974ac9362e9384296495  lxqt-session-0.8.0.tar.xz

macros: ok

scriptlets: ok, n/a

1. license: ok, but could be ammended to
License: LGPLv2+

2.  SHOULD omit
Obsoletes: razorqt-session <= 0.5.2
for now, until you and razorqt maintainers agree on a migration plan (if any).  There are many other razorqt-related packages that need consideration wrt Obsoletes

3.  SHOULD add
Requires: xdg-utils
since I see build flag, -DBUNDLE_XDG_UTILS=NO, I'd venture it may want it.


Otherwise, it's small, simple, clean.


APPROVED

Comment 3 Rex Dieter 2014-11-08 13:01:48 UTC
<nod>, adding .desktop validation here is needed.

directory ownership is problem of liblxqt (fixed there now).

Comment 5 Rex Dieter 2014-11-10 15:09:02 UTC
Thanks, even better, APPROVED++

Comment 6 Helio Chissini de Castro 2014-11-12 15:01:30 UTC
New Package SCM Request
=======================
Package Name: lxqt-session
Short Description: Main session for LXQt desktop suite
Upstream URL: http://lxqt.org/downloads/lxqt/0.8.0/lxqt-session-0.8.0.tar.xz
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 7 Rex Dieter 2014-11-13 17:54:05 UTC
New Package SCM Request
=======================
Package Name: lxqt-session
Short Description: Main session for LXQt desktop suite
Upstream URL: http://lxqt.org/
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-11-13 19:41:04 UTC
Git done (by process-git-requests).

Comment 9 Rex Dieter 2014-11-20 13:10:32 UTC
imported into rawhide, holding off on builds for now


Note You need to log in before you can comment on or make changes to this bug.